﻿namespace BPA.SaaS.Stock.Api.DTO
{
   public class CostPriceAdjustCreateInput
    {

     
        /// <summary> 
        /// 验收机构 
        /// </summary> 
        public long OrgId { get; set; }
        /// <summary> 
        /// 单据号 
        /// </summary> 
        public string ShelfNo { get; set; }
      
        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }
        /// <summary> 
        /// 供应商id 
        /// </summary> 
        public long SupplierId { get; set; }
        /// <summary> 
        /// 验收单号 
        /// </summary> 
        public string ReceivingNo { get; set; }
        /// <summary> 
        /// 配送单号 
        /// </summary> 
        public string DeliveryNo { get; set; }
        /// <summary> 
        /// 要货方id 
        /// </summary> 
        public long ReceivingOrgid { get; set; }
        /// <summary> 
        /// 企业id 
        /// </summary> 
        public long CompanyId { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public long OperId { get; set; }

        public long OperOrgId { get; set; }



        public List<CostPriceAdjustEntryCreateInputDto> CostPriceAdjustEntryList { get; set; }
    }
}
