﻿namespace BPA.SaaS.Stock.Api.DTO
{ 
    public class OrderQueryInputDto: PageInputBase
    {
        /// <summary>
        /// 订单Id
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 加盟商编号
        /// </summary>
        public string FranchiseeId { get; set; }
        /// <summary>
        /// 订单号
        /// </summary>
        public string order_Number { get; set; }
        /// <summary>
        /// 店铺名称编号（设备名称编号）
        /// </summary>
        public string[] StoreId { get; set; }
        /// <summary>
        /// <summary>
        /// 商品key
        /// </summary>
        public string[] GoodsId { get; set; }
      
        /// <summary>
        /// 商品类型编号
        /// </summary>
        public string[] GoodsTypeId { get; set; }
        /// <summary>
        /// 店铺分类编号（设备类型关联值）
        /// </summary>
        public string StoreTypeId { get; set; }
        /// <summary>
        /// 订单开始时间
        /// </summary>
        public DateTime? Order_CreateTime { get; set; }
        /// <summary>
        /// 订单结束时间
        /// </summary>
        public DateTime? Order_EndTime { get; set; }

    }
}
