﻿namespace BPA.SaaS.Stock.Api.DTO
{
   public  class ReveivingNoteInputDto
    {

        public string DeliveryShelfNo { get; set; }

        /// <summary>
        /// 
        /// </summary>
        public string Id { get; set; }
        /// <summary>
        /// 入库机构
        /// </summary>
        public string orgId { get; set; }
        /// <summary>
        /// 创建单据时间
        /// </summary>
        public DateTime operDate { get; set; }
        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
        /// <summary>
        /// 物料明细
        /// </summary>
        public List<SubItem> sub { get; set; }
    }
    public class SubItem
    {
        /// <summary>
        /// 物料id
        /// </summary>
        public string Id { get; set; }
        public string coreId { get; set; }

        public string ProductId { get; set; }
        /// <summary>
        /// 物料编码
        /// </summary>
        public string code { get; set; }
        /// <summary>
        /// 物料属性
        /// </summary>
        public int aittribute { get; set; }
        /// <summary>
        /// 物料名称
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 物料类型
        /// </summary>
        public string typeID { get; set; }
        /// <summary>
        /// 库存单位
        /// </summary>
        public string stockUint { get; set; }
        /// <summary>
        /// 规格
        /// </summary>
        public string specs { get; set; }
        /// <summary>
        /// 包装单位
        /// </summary>
        public string packUnit { get; set; }
        /// <summary>
        /// 包装因子
        /// </summary>
        public int proportion { get; set; }
        /// <summary>
        /// 入库数量
        /// </summary>
        public decimal StockQty { get; set; }
        /// <summary>
        /// 入库数量
        /// </summary>
        public decimal PackQty { get; set; }

        
    }
}
