﻿using BPA.Component.DbClient;
using Microsoft.Extensions.Logging;

namespace BPA.SaaS.Stock.Api.Model;

public class StockDbSugarClient : BaseDbClient<StockDbSugarClient>
{
    public StockDbSugarClient(ILogger<StockDbSugarClient> logger, StockApiConfig config)
        : base(BuildConnectionConfig(config.StockMySqlDb),
            config.IsLogSql,
            logger)
    {
    }
}