pwd
current_dir=$(pwd)
nuget_key="83d77c57-167d-304e-a42e-7d0470fca3a5"
nuget_source="http://10.2.1.25:10243/repository/bpa/"

#pakcage version , keep pace with nuspec
package_version="1.0.3"
#nupkg package name
nupkg_pakcage_name="BPA.Component.Demo.WebApi2.SDK.${package_version}.nupkg"
#csproj path
csproj_path="../BPA.Component.Demo.WebApi2.SDK/BPA.Component.Demo.WebApi2.SDK.csproj"
#nuspec path
nuspec_path="BPA.Component.Demo.WebApi2.SDK.nuspec"
#nuspec path , relative csproj path
nuspec_path_relative_csproj="../pack/BPA.Component.Demo.WebApi2.SDK.nuspec"

rm -f nupkg_pakcage_name
#git pull
cd ..
cd ..
git pull &
cd ${current_dir}

#replace package version
sed -i '5d' ${nuspec_path}
version_node="<version>${package_version}</version>"
sed -i "5i ${version_node}" ${nuspec_path}

echo pack ${nupkg_pakcage_name}
dotnet pack ${csproj_path} -p:NuspecFile=${nuspec_path_relative_csproj} -c Release --output ../pack -v m

#check nuget file is exist
echo
if [ ! -f "${nupkg_pakcage_name}" ]; then
  echo "pack ${nupkg_pakcage_name} is error"
  exit -1
fi

#push nupkg
echo push ${nupkg_pakcage_name}
dotnet nuget push ${nupkg_pakcage_name} -k ${nuget_key} -s ${nuget_source}
