﻿namespace BPA.SaaS.Stock.Api.DTO
{

    public class DeliveryOutDto 
    {/// <summary> 
     /// 主键 
     /// </summary> 
        public long Id { get; set; }
        /// <summary> 
        /// 单据号 
        /// </summary> 
        public string ShelfNo { get; set; }
        /// <summary> 
        /// 要货企业单据号 
        /// </summary> 
        public string EnquiryShelfNo { get; set; }
        /// <summary> 
        /// 配送机构 
        /// </summary> 
        public long DeliveryOrgId { get; set; }
        /// <summary> 
        /// 创建人 
        /// </summary> 
        public long OperId { get; set; }
        /// <summary> 
        /// 创建时间 
        /// </summary> 
        public DateTime OperDate { get; set; }
        /// <summary> 
        /// 创建机构 
        /// </summary> 
        public long OperOrgId { get; set; }
        /// <summary> 
        /// 收获机构电话 
        /// </summary> 
        public string ReceivingTel { get; set; }
        /// <summary> 
        /// 收货人 
        /// </summary> 
        public string ReceivingUser { get; set; }
        /// <summary> 
        /// 收货地址 
        /// </summary> 
        public string ReceivingAddress { get; set; }
        /// <summary> 
        /// 要货企业机构id 
        /// </summary> 
        public long ReceivingOrgid { get; set; }
        /// <summary> 
        /// 配送企业id 
        /// </summary> 
        public long ReceivingCompanyId { get; set; }
        /// <summary> 
        /// 企业id 
        /// </summary> 
        public long CompanyId { get; set; }

        public List<DeliveryEntryOutDto> DeliveryEntryList { get; set; }


    }
   public class DeliveryEntryOutDto
    {
        /// <summary> 
        /// 主键 
        /// </summary> 
        public long Id { get; set; }
        /// <summary> 
        /// 物料条码 
        /// </summary> 
        public string Barcode { get; set; }
        /// <summary> 
        /// 物料id 
        /// </summary> 
        public long ItemId { get; set; }
        /// <summary> 
        /// 配送数量 
        /// </summary> 
        public decimal DeliveryQty { get; set; }
        /// <summary> 
        /// 备注 
        /// </summary> 
        public string Remark { get; set; }
        /// <summary> 
        /// 数量 
        /// </summary> 
        public decimal Qty { get; set; }
        /// <summary> 
        /// 单据号 
        /// </summary> 
        public string ShelfNo { get; set; }
        /// <summary> 
        /// 仓库 
        /// </summary> 
        public long StockId { get; set; }
    }
}
