﻿namespace BPA.SaaS.Stock.Api.DTO
{
    /// <summary>
    /// 物料展示
    /// </summary>
    public class ProductListByCodeQuery
    {

        public string CodeId { get; set; }
        public string Id { get; set; }
        /// <summary>
        /// 原料编码
        /// </summary>           
        public string Code { get; set; }
        /// <summary>
        /// 商品属性  (0成品,1半成品,2,易耗品)
        /// </summary>           
        public int Aittribute { get; set; } = 0;
        /// <summary>
        /// 原料名称
        /// </summary>           
        public string Name { get; set; }
        /// <summary>
        /// 原料类型
        /// </summary>           
        public string TypeID { get; set; }
        /// <summary>
        /// 库存单位
        /// </summary>           
        public string StockUint { get; set; }

        /// <summary>
        /// 规格属性
        /// </summary>           
        public string Specs { get; set; }
        /// <summary>
        /// 包装单位
        /// </summary>           
        public string PackUnit { get; set; }

        /// <summary>
        /// 换算比例
        /// </summary>           
        public decimal Proportion { get; set; }
    }
}
