﻿using BPA.Common.Entity;
using SqlSugar;

namespace BPA.SaaS.Stock.Api.Entity
{
    ///<summary>
    ///一品多码
    ///</summary>
    [SugarTable("BPA_ProductCode")]
    public partial class BPA_ProductCode : BaseGroupIdEntity
    {
        public BPA_ProductCode()
        {


        }
        /// <summary>
        /// 原料id
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string ProductID { get; set; }

        /// <summary>
        /// 原料编码
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(50)", IsNullable = false)]
        public string Code { get; set; }


        /// <summary>
        /// 包装单位
        /// </summary>           
        [SugarColumn(ColumnDataType = "Nvarchar(64)", IsNullable = false)]
        public string PackUnit { get; set; }

        /// <summary>
        /// 换算比例
        /// </summary>           
        [SugarColumn(IsNullable = false)]
        public decimal Proportion { get; set; }

        //[SugarColumn(ColumnDataType = "bit", ColumnDescription = "供应商", IsNullable = true)]
        //public long? SupplierId { get; set; }


    }
}
