﻿using BPA.Component.DTOCommon.BaseDTOs;
using BPA.SaaS.Stock.Api.DTO;
using BPA.SaaS.Stock.Api.DTO.Product;
using Refit;

namespace BPA.SaaS.Stock.Api.SDK;

public interface IProductCodeServiceApi
{
    /// <summary>
    /// 获取产品Code列表
    /// </summary>
    /// <param name="dto"></param>
    /// <param name="authToken"></param>
    /// <returns></returns>
    [Post("/api/productcode/getproductlist")]
    Task<BaseResultPage<ProductCodeDto>> GetProductList(ProductCodeListQuery dto, [Authorize] string authToken);
}